Package: org.codehaus.groovy.runtime.m12n

## [Java] Class ExtensionModule

- org.codehaus.groovy.runtime.m12n.ExtensionModule

-     public abstract class ExtensionModule
      extends Object

  An extension module is a class responsible for providing a list of meta methods to the Groovy compiler and runtime. Those methods are used to "dynamically extend" existing classes by adding methods to existing classes.

  Since:
    2.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtensionModule(String moduleName, String moduleVersion)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public abstract List<MetaMethod>` | `getMetaMethods()`
    `` | `public String` | `getName()`
    `` | `public String` | `getVersion()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ExtensionModule(String moduleName, String moduleVersion)

  - ### Method Detail

    - #### public abstract List<MetaMethod> getMetaMethods()

    - #### public String getName()

    - #### public String getVersion()

    - #### @Override
      public String toString()